package com.ruoyi.bst.agreement.service;

import java.util.List;

public interface AgreementValidator {

    /**
     * 当前用户是否可以编辑运营区
     * @param agreementId 运营区ID
     * @return 是否可以编辑
     */
    boolean canEdit(Long agreementId);


    /**
     * 当前用户是否可以删除协议
     * @param agreementIds 协议ID列表
     * @return 是否可以删除
     */
    boolean canDeleteAll(List<Long> agreementIds);

}
